/*
Theme Name: Guinness Theme (Kalium Child)
Theme URI: https://laborator.co/themes/kalium/
Author: Timos Kopsidas
Version: 1.0
License: GNU General Public License version 3.0
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Template: kalium
Text Domain: kalium
*/
:root {
  --primary-black: #020202;
  --primary-white: #fefefe;
  --secondary: #d1005e;
}

/* ===========================================================
User CSS modifications
=========================================================== */
/* Menu Header Padding was divided by 2 */
@media (max-width: 767.98px) { 
	.header-block { 
		padding-bottom: var(--k-header-padding-bottom); 
		padding-top: var(--k-header-padding-top); 
	} 
}

.single-product .summary .cart table {
    --k-product-summary-spacing: 15px;
}

/*single product changes START*/
.single-product .summary .price {
    font-weight: inherit;
    color: var(--secondary);
}

.price bdi {
    font-size: 25px;
}

/*Margin single product to footer*/
.woocommerce .content-area .site-main {
    margin-bottom: 30px;
}
/*single product changes END*/

/* Homepage Products Align Center */
h3.portfolio-item__title.link-plain, .member-details, .trainers .section-title {
    text-align: center;
}

/*Black backgroud sections should have white text*/
.black-background h2, .black-background h3, .black-background h3 a {
    color: var(--primary-white); 
}

/* Hide minor horizontal scrolling hapenning because of the slider row */
html {
  overflow-x: hidden;
}

.fading-line {
  border: none;
  margin-top: 0;
  height: 1px;
  background: linear-gradient(to right, #d1005e 0%, transparent);
}

/* Footer logo border */
.site-footer .wp-block-image img {
    border: solid;
    border-color: #dddddd;
}

/*Homepage Techno-Gym Section START*/
#homepage-technogym .portfolio-item__details {
    display: none;
}

#homepage-technogym li {
    margin-top: 0;
}
/*Homepage Techno-Gym Section END*/

/*Homepage hover*/
.portfolio-items .portfolio-item__thumbnail:hover {
--k-pi-overlay-bg: color-mix(in srgb, var(--secondary) calc(var(--k-pi-overlay-bg-alpha) * 50%), #0000);
}

.portfolio-items i.kalium-icon-eye {
    display: none;
}

/* Homepage titles START*/
.vc_separator.vc_separator_align_center h2 {
    padding-left: 0.8em;
    padding-right: 0.8em;
}

.homepage-title-separator .section-title {
    margin-bottom: 0px;
}

.wpb_wrapper .section-title > h2 {
    margin-top: 10px;
}

/* Homepage titles END*/

/* Products and Archive pages have white background */
.product-template-default .wrapper, .archive .wrapper, .error404, .not-found__box {
    background: var(--primary-white); 
}

/* Products and Archive pages have black text */
.woocommerce .summary p, .white-background p, .woocommerce-variation-price, .error404 p {
    color: var(--primary-black);
}

/* Cart badge-items*/
span.badge.items-count.has-items {
    background: var(--secondary);
}

/*partners logo size*/
.wpb_wrapper .client-logos {
    --k-logos-max-height: 40px
}

@media (min-width: 768px) {
    #partners .grid.columns-md-3 {
        --k-grid-columns: 4;
    }
}

@media (max-width: 768px) {
    #partners .grid.columns-md-3 {
        --k-grid-columns: 2;
    }
}

/*Footer aligning*/
.site-footer .lb-element-column {
    text-align: center;
}

.site-footer .lb-element-column a {
    justify-content: center;
}

/* Timetable START */
.timetable-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 2em;
    color: var(--primary-white);
    margin: 1em 0;
    justify-content: center;
}

.timetable-grid .day {
	background: var(--primary-black);
    text-align: center;
    padding: 1em;
    border-radius: 5px;
    transition: transform 0.2s, box-shadow 1s;
}

.timetable-grid .day:hover {
    transform: translateY(-1px);
    box-shadow: 0 18px 50px rgba(255,255,255,0.9);
}

.timetable-grid .day h5 {
    margin: 0 0 0.5em 0;
    border-bottom: 1px solid #d1005e;
    padding-bottom: 0.3em;
    color: var(--primary-white);
}

.timetable-grid .day p {
    line-height: 2;
}

div#tab-description {
    background-color: var(--primary-black);
}

ul.tabs__list {
    display: none;
}
/* Timetable END */

/*Social Media*/
.social-icon:hover {
    --k-si-color: var(--k-si-brand-color);
}

.social-icons--with-icon-shape {
    --k-si-background: var(--primary-white);
}

/*Mini cart customizations*/
.mini-cart-drawer__subtotal__description {
    display: none;    
}

/*when cart opens, background needs to be visible*/ /*added in March 2026*/
.off-canvas.open+.off-canvas__overlay {
    opacity: 0.5;
}

/*Shop page customizations*/

/*shop page title */
h1.woocommerce-products-header__title.page-title {
    display: none;
}

.shop-heading .lab-heading {
    margin-block-end: var(--k-content-spacing-2);
}

.shop-heading .wpb_raw_code.wpb_raw_html.wpb_content_element {
    margin-bottom: 0;
}

/*Prices*/
.price bdi, .price span {
    font-size: 18px;
    color: var(--secondary);
}

.lb-element i.kalium-icon-shopping-bag {
    font-size: 18px;
}

.page-description .wpb_text_column.wpb_content_element.white-background {
    margin-bottom: 0;
}

/*Classes section in homepage*/
.align-center p, .align-center .portfolio-heading__title {
    text-align: center;
}

#classes .section-title {
    margin-block-end: 0;
}

#classes .lab-portfolio-items {
    padding-top: 0 !important;
}

/*checkout page*/

.wc-block-components-checkout-return-to-cart-button {
    text-decoration: inherit;
}

.wc-block-components-checkout-return-to-cart-button:hover {
    color: var(--secondary);
}

/*NOT FOUND page*/
.not-found__box {
	height: inherit;
}

/*Thank You Page*/
.woocommerce-order-received .woocommerce-order-overview,
.woocommerce-order-received .address-entry,
.woocommerce-order-received .woocommerce-order-details .shop_table thead tr {
    background-color: var(--primary-black);
}

.woocommerce-order-received p.order-received__description.woocommerce-thankyou-order-received, 
.woocommerce-order-received .woocommerce-table--order-details {
    color: var(--primary-black);
}

.woocommerce-order-received .woocommerce-table--order-details .product-name a {
    color: var(--secondary);
}

.woocommerce-order-received .woocommerce-order-details .shop_table thead tr,
.woocommerce-order-received .address-entry p,
.woocommerce-order-received .address-entry h2
{
    color: var(--primary-white);
}

.woocommerce-order-overview:before, .woocommerce-order-overview:after {
	display: none;
}

/* pop-up for variation */

/* Button container */
.variation-buttons {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}

/* Each button */
.variation-button {
    padding: 8px 0px;
    border: 1px solid var(--primary-black);
    color: var(--primary-black);
    flex: 1 1 0%;
    min-width: 50px;
    text-align: center;
    cursor: pointer;
    border-radius: 4px;
    transition: 0.15s;
    font-size: 15px;
	display: flex;
    align-items: center;
    justify-content: center;
}

/* Active/selected state */
.variation-button.active {
    background: var(--primary-black);
    color: var(--primary-white);
}

/*Pop-Up Options - Fix alinment - Use buttons instead of dropdown*/
.vi-wcaio-va-cart-form .vi-wcaio-swatches-wrap-wrap .vi-wcaio-va-swatches-attr-name {
    margin-right: 0 !important;
    color: var(--primary-black) !important;
    width: 100%;
    text-align: center;
}

.vi-wcaio-va-swatches-value.vi-wcaio-swatches-value.value {
	width: 100%;
}

.variation-button:hover {
    color: var(--secondary);
    border-color: var(--secondary);
}

.variation-button.active:hover {
    color: var(--primary-white);
    border-color: var(--primary-black);
}

.vi-wcaio-va-qty-wrap {
    display: none !important;
}

.vi-wcaio-swatches-value.vi-wcaio-va-swatches-value select.vi-wcaio-attribute-options {
	display: none !important
}

/* //Fixes in Menu */
.mobile-menu {
	--k-mobile-menu-bg: var(--primary-white) !important;
}

.mobile-menu-overlay {
	--k-mobile-menu-overlay-bg: rgb(254, 254, 254, 0.50);
}

button.toggle-bars.toggle-bars--icon-start.exit {
	--k-button-hover-color: var(--primary-black);
}